This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen

Bug 150

Summary: SEGFAULTs after changeset 537b5d33b440 in amd64
Product: Eigen Reporter: Jose Luis Blanco <joseluisblancoc>
Component: Core - generalAssignee: Nobody <eigen.nobody>
Status: RESOLVED FIXED    
Severity: major CC: gael.guennebaud, jacob.benoit.1, joseluisblancoc
Priority: ---    
Version: 3.0   
Hardware: x86 - 64-bit   
OS: Linux   
Whiteboard:
Attachments:
Description Flags
Patch none

Description Jose Luis Blanco 2011-01-08 21:33:12 UTC
Already reported in the mailing list: 

http://listengine.tuxfamily.org/lists.tuxfamily.org/eigen/2011/01/msg00010.html

I attach the patch here, but as said in the list, please someone take a look at the handling of __PIC__ to make sure it's OK.

Regards, 
JL
Comment 1 Jose Luis Blanco 2011-01-08 21:33:51 UTC
Created attachment 68 [details]
Patch
Comment 2 Jose Luis Blanco 2011-01-08 21:41:04 UTC
Some additional info on this error: It seems to happen when both a library A and an executable B use Eigen and B is also linked against A.
Comment 3 Benoit Jacob 2011-01-12 15:00:07 UTC
Sorry for the time taken to reply to this, and thanks for the report and patch. We've just been busy. Gael says he'll review your patch ASAP.
Comment 4 Gael Guennebaud 2011-01-12 17:33:55 UTC
patch pushed.

Indeed the issue of PIC and the cpuid instr. using the ebx register is for the i386 target only. That does not explain the segfault though.
Comment 5 Nobody 2019-12-04 10:09:10 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/150.